<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Storage/SQLiteStorage/include/SQLiteStorage/SQLiteStatement.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d29c5f5a2915d6c5388c9daae4f109c7.html">Storage</a></li><li class="navelem"><a class="el" href="dir_74c6299ccbc82b9602ff2a1d0fd58149.html">SQLiteStorage</a></li><li class="navelem"><a class="el" href="dir_e9e65e5cdb5cac6022982370ecf72758.html">include</a></li><li class="navelem"><a class="el" href="dir_527e0f2196f10a6ada1f9f8fee22d911.html">SQLiteStorage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SQLiteStatement.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_s_q_lite_statement_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_STORAGE_SQLITESTORAGE_INCLUDE_SQLITESTORAGE_SQLITESTATEMENT_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_STORAGE_SQLITESTORAGE_INCLUDE_SQLITESTORAGE_SQLITESTATEMENT_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;sqlite3.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>storage {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>sqliteStorage {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html">   36</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html">SQLiteStatement</a> {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a80d3668342d6e3a117a0a9616dd71e2d">SQLiteStatement</a>(sqlite3* dbHandle, <span class="keyword">const</span> std::string&amp; sqlString);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#aff27f5dbd4e4421147ed0cb27a236740">~SQLiteStatement</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#afe141a216dd4e00ec7a9a6c5c9963de5">isValid</a>();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#afe39f9a706d24d7b71c8931dd05262d6">step</a>();</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#ad13550ef50a8011aa5e3237817995600">reset</a>();</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#adc95362d23ccb132f554c3fbfa4d8a51">bindIntParameter</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>, <span class="keywordtype">int</span> value);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#ac827b027ab1d0a5e71da64a1a9936fe7">bindInt64Parameter</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>, int64_t value);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#adae13e823fb4597a691cdf0910b4614f">bindStringParameter</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>, <span class="keyword">const</span> std::string&amp; value);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a33d52f25835cbcdef7f131cc7bda25e5">getStepResult</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#aaecba80b8c46aa1285906f4de30faaae">getColumnCount</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a0744f42e59ad88ac8f67d1ddeb0bf179">getColumnName</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    std::string <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a79828400440dbfaaafdb91328ff0d35b">getColumnText</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a4a4f45c293560b6e4d3a10eeda7a00ef">getColumnInt</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    int64_t <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a307975e19a1008a6ad6a72992c0fcea9">getColumnInt64</a>(<span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a0378880d1fca22e9f26ad5d51253ae79">finalize</a>();</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    sqlite3_stmt* m_handle;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keywordtype">int</span> m_stepResult;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;};</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;}  <span class="comment">// namespace sqliteStorage</span></div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;}  <span class="comment">// namespace storage</span></div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_STORAGE_SQLITESTORAGE_INCLUDE_SQLITESTORAGE_SQLITESTATEMENT_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_ac827b027ab1d0a5e71da64a1a9936fe7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#ac827b027ab1d0a5e71da64a1a9936fe7">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::bindInt64Parameter</a></div><div class="ttdeci">bool bindInt64Parameter(int index, int64_t value)</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:110</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_adc95362d23ccb132f554c3fbfa4d8a51"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#adc95362d23ccb132f554c3fbfa4d8a51">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::bindIntParameter</a></div><div class="ttdeci">bool bindIntParameter(int index, int value)</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:87</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_ad13550ef50a8011aa5e3237817995600"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#ad13550ef50a8011aa5e3237817995600">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::reset</a></div><div class="ttdeci">bool reset()</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:78</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_aaecba80b8c46aa1285906f4de30faaae"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#aaecba80b8c46aa1285906f4de30faaae">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::getColumnCount</a></div><div class="ttdeci">int getColumnCount() const</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:162</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_aff27f5dbd4e4421147ed0cb27a236740"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#aff27f5dbd4e4421147ed0cb27a236740">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::~SQLiteStatement</a></div><div class="ttdeci">~SQLiteStatement()</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:57</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html">alexaClientSDK::storage::sqliteStorage::SQLiteStatement</a></div><div class="ttdef"><b>Definition:</b> SQLiteStatement.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a4a4f45c293560b6e4d3a10eeda7a00ef"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a4a4f45c293560b6e4d3a10eeda7a00ef">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::getColumnInt</a></div><div class="ttdeci">int getColumnInt(int index) const</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:187</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a307975e19a1008a6ad6a72992c0fcea9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a307975e19a1008a6ad6a72992c0fcea9">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::getColumnInt64</a></div><div class="ttdeci">int64_t getColumnInt64(int index) const</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:196</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a0744f42e59ad88ac8f67d1ddeb0bf179"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a0744f42e59ad88ac8f67d1ddeb0bf179">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::getColumnName</a></div><div class="ttdeci">std::string getColumnName(int index) const</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:166</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test_html_a7b86e4ce414fe200671d6b2f13f570a7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">alexaClientSDK::mediaPlayer::android::test::index</a></div><div class="ttdeci">static int index</div><div class="ttdoc">Mock buffer index. </div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaQueueTest.cpp:70</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a0378880d1fca22e9f26ad5d51253ae79"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a0378880d1fca22e9f26ad5d51253ae79">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::finalize</a></div><div class="ttdeci">void finalize()</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:205</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_afe141a216dd4e00ec7a9a6c5c9963de5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#afe141a216dd4e00ec7a9a6c5c9963de5">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::isValid</a></div><div class="ttdeci">bool isValid()</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:61</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_adae13e823fb4597a691cdf0910b4614f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#adae13e823fb4597a691cdf0910b4614f">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::bindStringParameter</a></div><div class="ttdeci">bool bindStringParameter(int index, const std::string &amp;value)</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:133</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a79828400440dbfaaafdb91328ff0d35b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a79828400440dbfaaafdb91328ff0d35b">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::getColumnText</a></div><div class="ttdeci">std::string getColumnText(int index) const</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:175</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a80d3668342d6e3a117a0a9616dd71e2d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a80d3668342d6e3a117a0a9616dd71e2d">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::SQLiteStatement</a></div><div class="ttdeci">SQLiteStatement(sqlite3 *dbHandle, const std::string &amp;sqlString)</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:40</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_a33d52f25835cbcdef7f131cc7bda25e5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#a33d52f25835cbcdef7f131cc7bda25e5">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::getStepResult</a></div><div class="ttdeci">int getStepResult() const</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:158</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement_html_afe39f9a706d24d7b71c8931dd05262d6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_statement.html#afe39f9a706d24d7b71c8931dd05262d6">alexaClientSDK::storage::sqliteStorage::SQLiteStatement::step</a></div><div class="ttdeci">bool step()</div><div class="ttdef"><b>Definition:</b> SQLiteStatement.cpp:65</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
